#include<bits/stdc++.h>
using namespace std;
int mas[100000];
int main(){
    int n,k,br=0;
    cin>>n>>k;
    for(int i=0;i<n;i++){
        cin>>mas[i];
    }
    for(int i=0;i<n-1;i++){
        int res=mas[i];
        for(int j=i;j<n;j++){
            res=res|mas[j];
            if(res>=k){
                br+=n-j;
                break;
            }
        }
    }
    cout<<br<<endl;
    return 0;
}
